#ifndef TDx_Draw3D_Library_FunctionsH
#define TDx_Draw3D_Library_FunctionsH

// ==========================================================================
// File:        TDx_Draw3D_Library_Functions.H
// Description: This file contains standard functions used with the
//              TDx_Draw3D_Library components.
//
// "TDx_Draw3D_Library"
// (c) 2003, BCB-Tools.com Pty. Ltd., Sydney, Australia.
// All Rights Reserved.
//
// Refer to the 'Licence.Txt' file for licencing & copyright information.
// ==========================================================================

#include "TDx_Draw_Library_Defns.H"
#include "TDx_Draw_Library_Functions.H"

// --------------------------------------------------------------------------
// Func:            TDx_Draw3D_Library_ErrorString()
// Description:     Use this function to return the name of the error.
// --------------------------------------------------------------------------
AnsiString __fastcall TDx_Draw3D_Library_ErrorString( int Error );

// --------------------------------------------------------------------------
// Func:            TDx_Draw3D_Library_ErrorMessage()
// Description:     Use this function to return information about the error.
// --------------------------------------------------------------------------
AnsiString __fastcall TDx_Draw3D_Library_ErrorMessage( int Error );

#endif
