// --------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

// ==========================================================================
// File:         TDx_Draw3D_Library_Install.CPP
// Authors:      BCB_Code_Generator v1.70,Darren Dwyer
// Description:  This file links all files required by the TDx_Draw3D_Library 
//               v1.70. 
//
// "TDx_Draw3D_Library v1.70"
// (c) 2003 BCB-Tools.com Pty. Ltd., Sydney, Australia.
// All Rights Reserved.
//
// Refer to the 'Licence.Txt' file for licencing & copyright information.
// ==========================================================================

#include "TDx_Draw3D_Library_Install.H"
// --------------------------------------------------------------------------
#pragma resource "TDx_Draw3D_Library_Icons.res"
// --------------------------------------------------------------------------
#pragma link "dxguid.lib"
// --------------------------------------------------------------------------
#pragma link "d3dim.lib"
// --------------------------------------------------------------------------
#pragma link "TDx_Library_Defns"
#pragma link "TDx_Library_Functions"
#pragma link "TDx_Draw3D_Library_Defns"
#pragma link "TDx_Draw3D_Library_Functions"
// --------------------------------------------------------------------------
#pragma link "TDDBltFX"
#pragma link "TDDCaps"
#pragma link "TDDColorControl"
#pragma link "TDDColorKey"
#pragma link "TDDDeviceIdentifier"
#pragma link "TDDGammaRamp"
#pragma link "TDDOverlayFX"
#pragma link "TDDPixelFormat"
#pragma link "TDDSCaps"
#pragma link "TDDSurfaceDesc"
#pragma link "TDDVideoPortBandwidth"
#pragma link "TDDVideoPortCaps"
#pragma link "TDDVideoPortConnect"
#pragma link "TDDVideoPortDesc"
#pragma link "TDDVideoPortInfo"
#pragma link "TDDVideoPortStatus"
#pragma link "TDx_Draw"
#pragma link "TDx_DrawClipper"
#pragma link "TDx_DrawColorControl"
#pragma link "TDx_DrawGammaControl"
#pragma link "TDx_DrawPalette"
#pragma link "TDx_DrawSurface"
#pragma link "TDx_DrawVideoPort"
#pragma link "TDx_DrawVideoPortContainer"
#pragma link "TD3DClipStatus"
#pragma link "TD3DColorValue"
#pragma link "TD3DDP_PtrStride"
#pragma link "TD3DDevInfo_TextureManager"
#pragma link "TD3DDevInfo_Texturing"
#pragma link "TD3DDeviceDesc"
#pragma link "TD3DDrawPrimitiveStridedData"
#pragma link "TD3DLVertex"
#pragma link "TD3DLight"
#pragma link "TD3DLightingCaps"
#pragma link "TD3DLinePattern"
#pragma link "TD3DMaterial"
#pragma link "TD3DMatrix"
#pragma link "TD3DPrimCaps"
#pragma link "TD3DRect"
#pragma link "TD3DTLVertex"
#pragma link "TD3DVector"
#pragma link "TD3DVertex"
#pragma link "TD3DVertexBufferDesc"
#pragma link "TD3DViewPort"
#pragma link "TDx_3D"
#pragma link "TDx_3DDevice"
#pragma link "TDx_3DVertexBuffer"
// --------------------------------------------------------------------------
namespace Tdx_draw3d_library_install
{
void __fastcall Register()
    {
    TComponentClass interface_classes[11] =
        {
        __classid(TDx_Draw),
        __classid(TDx_DrawClipper),
        __classid(TDx_DrawColorControl),
        __classid(TDx_DrawGammaControl),
        __classid(TDx_DrawPalette),
        __classid(TDx_DrawSurface),
        __classid(TDx_DrawVideoPort),
        __classid(TDx_DrawVideoPortContainer),
        __classid(TDx_3D),
        __classid(TDx_3DDevice),
        __classid(TDx_3DVertexBuffer)
        };
    RegisterComponents( "TDx_Draw3D", interface_classes, 11-1 );
    // ----------------------------------------------------------------------
    TComponentClass wrapper_classes[36] =
        {
        __classid(TDDBltFX),
        __classid(TDDCaps),
        __classid(TDDColorControl),
        __classid(TDDColorKey),
        __classid(TDDDeviceIdentifier),
        __classid(TDDGammaRamp),
        __classid(TDDOverlayFX),
        __classid(TDDPixelFormat),
        __classid(TDDSCaps),
        __classid(TDDSurfaceDesc),
        __classid(TDDVideoPortBandwidth),
        __classid(TDDVideoPortCaps),
        __classid(TDDVideoPortConnect),
        __classid(TDDVideoPortDesc),
        __classid(TDDVideoPortInfo),
        __classid(TDDVideoPortStatus),
        __classid(TD3DClipStatus),
        __classid(TD3DColorValue),
        __classid(TD3DDP_PtrStride),
        __classid(TD3DDevInfo_TextureManager),
        __classid(TD3DDevInfo_Texturing),
        __classid(TD3DDeviceDesc),
        __classid(TD3DDrawPrimitiveStridedData),
        __classid(TD3DLVertex),
        __classid(TD3DLight),
        __classid(TD3DLightingCaps),
        __classid(TD3DLinePattern),
        __classid(TD3DMaterial),
        __classid(TD3DMatrix),
        __classid(TD3DPrimCaps),
        __classid(TD3DRect),
        __classid(TD3DTLVertex),
        __classid(TD3DVector),
        __classid(TD3DVertex),
        __classid(TD3DVertexBufferDesc),
        __classid(TD3DViewPort)
        };
    RegisterComponents( "TDx_Draw3D", wrapper_classes, 36-1 );
    }
}
// --------------------------------------------------------------------------
